#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include "menu.h"

int mostraMenu()
{
    int opzione;
    system("cls");
    printf("1: Ordina private e stampa\n2: Ricerca\n3: Termina\n\n Selezionare un'opzione ");
    while (scanf("%d", &opzione) == 0 || opzione < 1 || opzione > 3)
    {
        printf("Inserire un intero compreso fra 1 e 3!\n");
        system("pause");
    }
    return opzione;
}

void menuOrdinaFoto(char* username, ListaFotoType listaFoto)
{
    ListaFotoType listaOrdinata = ordinaFoto(listaFoto, username);
    stampaFoto(listaOrdinata);
    destroyListaFoto(listaOrdinata);
}

void menuRicercaFoto(char* username, ListaFotoType listaFoto)
{
    ListaFotoType listaRicerca;
    char keyWord[FOTO_MAXCHARS];
    printf("\nParola chiave: ");
    scanf("%s", keyWord);
    listaRicerca = ricercaFoto(listaFoto, username, keyWord);
    stampaFoto(listaRicerca);
    destroyListaFoto(listaRicerca);
}