/**********************************************************************
*       Author   : Gabriele Zannoni
*       Created  : 12/1/2007 - 16:33
*       Modified : 12/1/2007 - 16:33
*
*       Description :
*         Soluzione Prova 2
***********************************************************************/


#include <stdio.h>
#include <assert.h>
#include <stdlib.h>
#include "autenticazione.h"
#include "foto.h"
#include "menu.h"

#define FOTO_FILENAME "foto.txt"
#define USERS_FILENAME "utenti.txt"

int main(void)
{
    char *username;
    ListaFotoType listaFoto;
    int opzione;

    username = autentica(USERS_FILENAME);
    if (username == NULL)
    {
        printf("Utente non autorizzato\n");
        return 1;
    }

    listaFoto = leggiFoto(FOTO_FILENAME);

    while ((opzione = mostraMenu()) != 3)
    {
        switch (opzione)
        {
        case 1:
            menuOrdinaFoto(username, listaFoto);
            system("pause");
            break;
        case 2:
            menuRicercaFoto(username, listaFoto);
            system("pause");
            break;
        }
    }

    free(username);
    destroyListaFoto(listaFoto);

	return (0);
}


